/* --- Tabs --- */
.tab-container {
    background-color: var(--card-bg);
    border-radius: 12px;
    box-shadow: 0 4px 12px var(--shadow-color);
    padding: 1rem;
    height: 100%;
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

.tab-header {
    display: flex;
    border-bottom: 2px solid var(--border-color);
    margin-bottom: 1rem;
    flex-wrap: wrap;
}

.tab-link {
    padding: 0.75rem 1rem;
    cursor: pointer;
    border: none;
    background-color: transparent;
    color: var(--secondary-color);
    font-size: 1rem;
    font-weight: 700;
    transition: color 0.3s, border-bottom 0.3s;
    border-bottom: 3px solid transparent;
    margin-bottom: -2px;
}

.tab-link:hover {
    color: var(--primary-color);
    background-color: transparent;
}

.tab-link.active {
    color: var(--primary-color);
    border-bottom: 3px solid var(--primary-color);
}

.tab-content {
    display: none;
    padding: 0 1rem;
    animation: fadeInContent 0.5s;
    flex-grow: 1;
    flex-direction: column;
    overflow-y: auto;
}

.tab-content.active {
    display: flex;
}

@keyframes fadeInContent {
    from {
        opacity: 0;
        transform: translateY(10px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/* --- Generic View Header (used in multiple tabs) --- */
.view-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1rem;
    padding-bottom: 0.5rem;
    border-bottom: 1px solid var(--border-color);
    flex-shrink: 0;
}

.view-header h3 {
    color: var(--text-color);
    margin: 0;
    padding: 0;
    border: none;
    font-size: 1.2rem;
}

.view-header button {
    padding: 0.4rem 0.8rem;
    font-size: 0.9rem;
}

#add-new-timetable-btn {
    background-color: rgba(0, 0, 0, 0);
}